Subject: [VRRP] RE: MIB Dr. Review of draft-ietf-vrrp-unified-mib-05.txt

From: Bill Fenner <[email-masked]>
Date: Wed, 12 Jul 2006 11:40:01 -0400

>5) I consulted with other MIB Doctors and the rough consensus was to
>leave deprected objects where they are in the MIB, even though they are
>deprecated but to make it very obvious that they are deprected.

As Kaylan mentions, in my AD + RFC4181 review I suggested moving
these, based on having received the same suggestion when we did
RFC 4293, 4113, 4022.  I thought that was the accepted procedure
(it made sense to me, since we want a new MIB user to see and use
the current objects before the deprecated ones).

  Bill

_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp

---

From: <[email-masked]>
Date: Thu, 13 Jul 2006 06:57:24 -0400

----- Original Message -----
From: Bill Fenner <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Wednesday, July 12, 2006 11:40 AM
Subject: RE: MIB Dr. Review of draft-ietf-vrrp-unified-mib-05.txt

Hi Bill,

> the current objects before the deprecated ones).

Yes, there does seem to be 2 ways deprecated objects are handled
(i.e., leave the deprecated objects in place or move them to the end
of the MIB Module).  My motivation for consulting the
other MIB Drs was to see if there was a recommended way of
handling deprecated objects.

The MIB Drs. that commented on my question seemed to prefer leaving the
deprecated objects where they were.  This is also my preference because
deprecated
objects are often still wanted by the customers and thus, agent
developers implement them for some length of time.  The IP-MIB (RFC 4293)
is an example of where deprecated objects continue to be implemented
(at least in my experience, others may have a different experience).

So, how best to bring closure to this issue for this MIB Module?
Certainly, the document may proceed with the deprecated objects
where they are.  I will revisit the issue with the MIB Drs. and hopefully
this will result in a new guideline.

Thanks,
  -Joan